import { Store } from "antd/es/form/interface";
import * as echarts from "echarts";
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";
import "./left.less";
import { Col, Modal, Row } from "antd";
const Turn = (props: Store) => {
  const { homeStore } = props;
  const [isModalOpen, setisModalOpen] = useState(false);
  const initChart = (data) => {
    var myChart = echarts.init(document.getElementById("xunlian"));
    var option = {
      xAxis: {
        type: "category",
        data: data.map((item) => item.name),
        axisLabel: {
          show: true,
          interval: 0,
          rotate: 30,
        },
      },
      grid: { top: "10%", bottom: "45%", right: "5%" },
      yAxis: {
        type: "value",
        splitLine: {
          show: false, // 去除网格线
        },
      },
      series: [
        {
          data: data.map((item) => item.count),
          type: "line",
          smooth: true,
          areaStyle: {
            opacity: 0.1,
            color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
              {
                offset: 0,
                color: "rgb(128, 255, 165)",
              },
              {
                offset: 1,
                color: "rgb(1, 191, 236)",
              },
            ]),
          },
        },
      ],
    };
    option && myChart.setOption(option);
  };
  useEffect(() => {
    homeStore.getTr().then((res) => {
      initChart(res.data.record);
    });
  }, [homeStore]);
  const trunHandler = () => {
    setisModalOpen(true);
  };
  return (
    <>
      <div
        onClick={trunHandler}
        style={{ width: "100%", height: "100%" }}
        id="xunlian"
      ></div>
      <Modal
        title="年度训练"
        className="owner_model"
        width={1200}
        open={isModalOpen}
        afterClose={() => {}}
        onOk={() => {}}
        footer={null}
        onCancel={() => {
          setisModalOpen(false);
        }}
      >
        <>
          <Row>
            <Col flex={2}>
              {[7, 8, 9, 10, 11].map((item, index) => {
                return (
                  <div style={{ color: "#fff" ,margin:"10px"}} key={index}>
                    <img
                      height={60}
                      src="https://img0.baidu.com/it/u=2135939479,1633462316&fm=253&fmt=auto&app=138&f=JPEG?w=500&h=500"
                      alt=""
                    />
                  </div>
                );
              })}
            </Col>
            <Col flex={8}>
                  <div style={{ color: "#fff" }} >
                  <img
                      style={{width:"100%",height:"800px"}}
                      src="https://img0.baidu.com/it/u=2135939479,1633462316&fm=253&fmt=auto&app=138&f=JPEG?w=500&h=500"
                      alt=""
                    />
                  </div> 
            </Col>
          </Row>
        </>
      </Modal>
    </>
  );
};

export default inject("homeStore")(observer(Turn));
